glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.22

Member Gio::AsyncInitable::create_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | The AsyncResult from the callback.

  Returns
    A newly created Object, or `0` on error. Free with Glib::object_unref().
Member Gio::AsyncInitable::init_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult.

  Returns
    `true` if successful. If an error has occurred, this function will return `false` and set error appropriately if present.
Member Gio::Cancellable::connect (const SlotCancelledCallback& slot)
  Parameters

    slot | The slot to connect.

  Returns
    The id of the signal handler or 0 if cancellable has already been cancelled.
Member Gio::Cancellable::disconnect (gulong handler_id)
  Parameters

    handler_id | Handler id of the handler to be disconnected, or %0.

Member Gio::Cancellable::make_pollfd (GPollFD* pollfd)
  Parameters

    pollfd | A pointer to a PollFD.

  Returns
    `true` if pollfd was successfully initialized, `false` on failure to prepare the cancellable.
Member Gio::Cancellable::release_fd ()
Member Gio::Drive::can_start () const
Member Gio::Drive::can_start_degraded () const
Member Gio::Drive::can_stop () const
Member Gio::Drive::eject_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the drive was successfully ejected. `false` otherwise.
Member Gio::Drive::get_start_stop_type () const
  Returns
    A value from the DriveStartStopType enumeration.
Member Gio::Drive::signal_stop_button ()
Member Gio::Drive::start (const Glib::RefPtr< MountOperation >& mount_operation, const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot, DriveStartFlags flags=DRIVE_START_NONE)
Member Gio::Drive::start (const Glib::RefPtr< MountOperation >& mount_operation, const SlotAsyncReady& slot, DriveStartFlags flags=DRIVE_START_NONE)
Member Gio::Drive::start_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the drive has been started successfully, `false` otherwise.
Member Gio::Drive::stop (const Glib::RefPtr< MountOperation >& mount_operation, const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::Drive::stop (const Glib::RefPtr< MountOperation >& mount_operation, const SlotAsyncReady& slot, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::Drive::stop_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the drive has been stopped successfully, `false` otherwise.
Member Gio::File::create_file_readwrite_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult.

  Returns
    A FileIOStream or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::File::eject_mountable_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the file was ejected successfully. `false` otherwise.
Member Gio::File::load_contents (const Glib::RefPtr< Cancellable >& cancellable, char*& contents, gsize& length)
Member Gio::File::load_contents (char*& contents, gsize& length)
Member Gio::File::load_contents_finish (const Glib::RefPtr< AsyncResult >& result, char*& contents, gsize& length)
Member Gio::File::load_partial_contents_finish (const Glib::RefPtr< AsyncResult >& result, char*& contents, gsize& length)
Member Gio::File::open_readwrite (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | A Cancellable.

  Returns
    FileIOStream or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::File::open_readwrite_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult.

  Returns
    A FileIOStream or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::File::poll_mountable_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the operation finished successfully. `false` otherwise.
Member Gio::File::replace_readwrite_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult.

  Returns
    A FileIOStream, or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::File::start_mountable_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the operation finished successfully. `false` otherwise.
Member Gio::File::stop_mountable_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the operation finished successfully. `false` otherwise.
Member Gio::File::supports_thread_contexts () const
  Returns
    Whether or not file supports thread-default contexts.
Member Gio::File::unmount_mountable_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the operation finished successfully. `false` otherwise.
Member Gio::FileInfo::get_attribute_strings (const std::string& attribute) const
  Parameters

    attribute | A file attribute key.

  Returns
    The contents of the attribute value as a stringv, or `0` otherwise. Do not free. These returned strings are UTF-8.
Member Gio::FileInfo::has_namespace (const std::string& name_space) const
  Parameters

    name_space | A file attribute namespace.

  Returns
    `true` if Ginfo has an attribute in name_space, `false` otherwise.
Member Gio::FileInfo::set_attribute_status (const std::string& attribute, FileAttributeStatus status)
  Parameters

    attribute | A file attribute key.
    status | A FileAttributeStatus.

  Returns
    `true` if the status was changed, `false` if the key was not set.
Class Gio::FileIOStream
Member Gio::FileIOStream::get_etag () const
  Returns
    The entity tag for the stream.
Member Gio::FileIOStream::query_info_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A FileInfo for the finished query.
Member Gio::InetAddress::get_family () const
  Returns
    address's family.
Member Gio::InetAddress::get_is_any () const
  Returns
    `true` if address is the "any" address for its family.
Member Gio::InetAddress::get_is_link_local () const
  Returns
    `true` if address is a link-local address.
Member Gio::InetAddress::get_is_loopback () const
  Returns
    `true` if address is the loopback address for its family.
Member Gio::InetAddress::get_is_mc_global () const
  Returns
    `true` if address is a global multicast address.
Member Gio::InetAddress::get_is_mc_link_local () const
  Returns
    `true` if address is a link-local multicast address.
Member Gio::InetAddress::get_is_mc_node_local () const
  Returns
    `true` if address is a node-local multicast address.
Member Gio::InetAddress::get_is_mc_org_local () const
  Returns
    `true` if address is an organization-local multicast address.
Member Gio::InetAddress::get_is_mc_site_local () const
  Returns
    `true` if address is a site-local multicast address.
Member Gio::InetAddress::get_is_multicast () const
  Returns
    `true` if address is a multicast address.
Member Gio::InetAddress::get_is_site_local () const
  Returns
    `true` if address is a site-local address.
Member Gio::InetAddress::get_native_size () const
  Returns
    The number of bytes used for the native version of address.
Member Gio::InetAddress::to_bytes () const
  Returns
    A pointer to an internal array of the bytes in address, which should not be modified, stored, or freed. The size of this array can be gotten with g_inet_address_get_native_size().
Member Gio::InetAddress::to_string () const
  Returns
    A representation of address as a string, which should be freed after use.
Member Gio::InetSocketAddress::get_address ()
  Returns
    The InetAddress for address, which must be Glib::object_ref()'d if it will be stored.
Member Gio::InetSocketAddress::get_address () const
  Returns
    The InetAddress for address, which must be Glib::object_ref()'d if it will be stored.
Member Gio::InetSocketAddress::get_port () const
  Returns
    The port for address.
Member Gio::Initable::init (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    `true` if successful. If an error has occurred, this function will return `false` and set error appropriately if present.
Class Gio::IOStream
Member Gio::IOStream::clear_pending ()
Member Gio::IOStream::close (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    `true` on success, `false` on failure.
Member Gio::IOStream::close_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if stream was successfully closed, `false` otherwise.
Member Gio::IOStream::get_input_stream ()
  Returns
    A InputStream, owned by the IOStream. Do not free.
Member Gio::IOStream::get_output_stream ()
  Returns
    A OutputStream, owned by the IOStream. Do not free.
Member Gio::IOStream::has_pending () const
  Returns
    `true` if stream has pending actions.
Member Gio::IOStream::is_closed () const
  Returns
    `true` if the stream is closed.
Member Gio::IOStream::set_pending ()
  Returns
    `true` if pending was previously unset and is now set.
Member Gio::Mount::eject_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the mount was successfully ejected. `false` otherwise.
Member Gio::Mount::signal_pre_unmount ()
Member Gio::Mount::unmount_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the mount was successfully unmounted. `false` otherwise.
Member Gio::NetworkAddress::get_hostname () const
  Returns
    addr's hostname.
Member Gio::NetworkAddress::get_port () const
  Returns
    addr's port (which may be 0).
Member Gio::NetworkService::get_domain () const
  Returns
    srv's domain name.
Member Gio::NetworkService::get_protocol () const
  Returns
    srv's protocol name.
Member Gio::NetworkService::get_service () const
  Returns
    srv's service name.
Member Gio::Resolver::lookup_by_address (const Glib::RefPtr< InetAddress >& address, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    address | The address to reverse-resolve.
    cancellable | A Cancellable, or `0`.

  Returns
    A hostname (either ASCII-only, or in ASCII-encoded form), or `0` on error.
Member Gio::Resolver::lookup_by_address_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | The result passed to your SlotAsyncReady.

  Returns
    A hostname (either ASCII-only, or in ASCII-encoded form), or `0` on error.
Member Gio::Resolver::lookup_by_name (const Glib::ustring& hostname, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    hostname | The hostname to look up.
    cancellable | A Cancellable, or `0`.

  Returns
    A List of InetAddress, or `0` on error. You must unref each of the addresses and free the list when you are done with it. (You can use g_resolver_free_addresses() to do this.).
Member Gio::Resolver::lookup_by_name_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | The result passed to your SlotAsyncReady.

  Returns
    A List of InetAddress, or `0` on error. See g_resolver_lookup_by_name() for more details.
Member Gio::Resolver::lookup_service (const Glib::ustring& service, const Glib::ustring& protocol, const Glib::ustring& domain, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    service | The service type to look up (eg, "ldap").
    protocol | The networking protocol to use for service (eg, "tcp").
    domain | The DNS domain to look up the service in.
    cancellable | A Cancellable, or `0`.

  Returns
    A List of SrvTarget, or `0` on error. You must free each of the targets and the list when you are done with it. (You can use g_resolver_free_targets() to do this.).
Member Gio::Resolver::lookup_service_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | The result passed to your SlotAsyncReady.

  Returns
    A List of SrvTarget, or `0` on error. See g_resolver_lookup_service() for more details.
Member Gio::Socket::check_connect_result ()
  Returns
    `true` if no error, `false` otherwise, setting error to the error.
Member Gio::Socket::close ()
  Returns
    `true` on success, `false` on error.
Member Gio::Socket::condition_check (Glib::IOCondition condition)
  Parameters

    condition | A IOCondition mask to check.

  Returns
    The GIOCondition mask of the current state.
Member Gio::Socket::condition_wait (Glib::IOCondition condition, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    condition | A IOCondition mask to wait for.
    cancellable | A Cancellable, or `0`.

  Returns
    `true` if the condition was met, `false` otherwise.
Member Gio::Socket::create (SocketFamily family, SocketType type, SocketProtocol protocol, const Glib::RefPtr< Cancellable >& cancellable=Glib::RefPtr< Cancellable >())
  Parameters

    family | The socket family to use, e.g. SOCKET_FAMILY_IPV4.
    type | The socket type to use.
    protocol | The id of the protocol to use, or 0 for default.

  Returns
    A Socket or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::Socket::create_from_fd (int fd, const Glib::RefPtr< Cancellable >& cancellable=Glib::RefPtr< Cancellable >())
  Parameters

    fd | A native socket file descriptor.

  Returns
    A Socket or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::Socket::get_blocking () const
  Returns
    `true` if blocking I/O is used, `false` otherwise.
Member Gio::Socket::get_family () const
  Returns
    A SocketFamily.
Member Gio::Socket::get_fd () const
  Returns
    The file descriptor of the socket.
Member Gio::Socket::get_keepalive () const
  Returns
    `true` if keepalive is active, `false` otherwise.
Member Gio::Socket::get_listen_backlog () const
  Returns
    The maximum number of pending connections.
Member Gio::Socket::get_local_address () const
  Returns
    A SocketAddress or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::Socket::get_protocol () const
  Returns
    A protocol id, or -1 if unknown.
Member Gio::Socket::get_remote_address () const
  Returns
    A SocketAddress or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::Socket::get_socket_type () const
  Returns
    A SocketType.
Member Gio::Socket::is_closed ()
  Returns
    `true` if socket is closed, `false` otherwise.
Member Gio::Socket::is_connected ()
  Returns
    `true` if socket is connected, `false` otherwise.
Member Gio::Socket::receive (char* buffer, gsize size, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    buffer | A buffer to read data into (which should be at least size bytes long).
    size | The number of bytes you want to read from the socket.
    cancellable | A Cancellable or `0`.

  Returns
    Number of bytes read, or 0 if the connection was closed by the peer, or -1 on error.
Member Gio::Socket::send (const gchar* buffer, gsize size, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    buffer | The buffer containing the data to send.
    size | The number of bytes to send.
    cancellable | A Cancellable or `0`.

  Returns
    Number of bytes written (which may be less than size), or -1 on error.
Member Gio::Socket::send_to (const Glib::RefPtr< SocketAddress >& address, const char* buffer, gsize size, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    address | A SocketAddress, or `0`.
    buffer | The buffer containing the data to send.
    size | The number of bytes to send.
    cancellable | A Cancellable or `0`.

  Returns
    Number of bytes written (which may be less than size), or -1 on error.
Member Gio::Socket::set_blocking (bool blocking)
  Parameters

    blocking | Whether to use blocking I/O or not.

Member Gio::Socket::set_keepalive (bool keepalive)
  Parameters

    keepalive | Value for the keepalive flag.

Member Gio::Socket::set_listen_backlog (int backlog)
  Parameters

    backlog | The maximum number of pending connections.

Member Gio::Socket::shutdown (bool shutdown_read, bool shutdown_write)
  Parameters

    shutdown_read | Whether to shut down the read side.
    shutdown_write | Whether to shut down the write side.

  Returns
    `true` on success, `false` on error.
Member Gio::Socket::speaks_ipv4 () const
  Returns
    `true` if this socket can be used with IPv4.
Member Gio::SocketAddress::get_family () const
  Returns
    The socket family type of address.
Member Gio::SocketAddress::get_native_size () const
  Returns
    The size of the native struct sockaddr that address represents.
Member Gio::SocketAddress::to_native (gpointer dest, gsize destlen)
  Parameters

    dest | A pointer to a memory location that will contain the native struct sockaddr.
    destlen | The size of dest. Must be at least as large as g_socket_address_get_native_size().

  Returns
    `true` if dest was filled in, `false` on error.
Member Gio::SocketClient::connect (const Glib::RefPtr< SocketConnectable >& connectable, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    connectable | A SocketConnectable specifying the remote address.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketClient::connect_async (const Glib::RefPtr< SocketConnectable >& connectable, const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot)
  Parameters

    connectable | A SocketConnectable specifying the remote address.
    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketClient::connect_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketClient::connect_to_host (const Glib::ustring& host_and_port, guint16 default_port, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    host_and_port | The name and optionally port of the host to connect to.
    default_port | The default port to connect to.
    cancellable | A Cancellable, or `0`.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketClient::connect_to_host_async (const Glib::ustring& host_and_port, guint16 default_port, const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot)
  Parameters

    host_and_port | The name and optionally the port of the host to connect to.
    default_port | The default port to connect to.
    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketClient::connect_to_host_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketClient::connect_to_service_async (const Glib::ustring& domain, const Glib::ustring& service, const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot)
  Parameters

    domain | A domain name.
    service | The name of the service to connect to.
    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketClient::connect_to_service_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketClient::get_family () const
  Returns
    A SocketFamily.
Member Gio::SocketClient::get_local_address ()
  Returns
    A SocketAddress or `0`. Do not free.
Member Gio::SocketClient::get_local_address () const
  Returns
    A SocketAddress or `0`. Do not free.
Member Gio::SocketClient::get_protocol () const
  Returns
    A SocketProtocol.
Member Gio::SocketClient::get_socket_type () const
  Returns
    A SocketFamily.
Member Gio::SocketClient::set_family (SocketFamily family)
  Parameters

    family | A SocketFamily.

Member Gio::SocketClient::set_local_address (const Glib::RefPtr< SocketAddress >& address)
  Parameters

    address | A SocketAddress, or `0`.

Member Gio::SocketClient::set_protocol (SocketProtocol protocol)
  Parameters

    protocol | A SocketProtocol.

Member Gio::SocketClient::set_socket_type (SocketType type)
  Parameters

    type | A SocketType.

Member Gio::SocketConnectable::enumerate ()
  Returns
    A new SocketAddressEnumerator.
Member Gio::SocketConnectable::enumerate () const
  Returns
    A new SocketAddressEnumerator.
Member Gio::SocketConnection::create (const Glib::RefPtr< Socket >& socket)
  Returns
    A SocketConnection.
Member Gio::SocketConnection::get_local_address ()
  Returns
    A SocketAddress or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::SocketConnection::get_local_address () const
  Returns
    A SocketAddress or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::SocketConnection::get_remote_address () const
  Returns
    A SocketAddress or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::SocketConnection::get_remote_address ()
  Returns
    A SocketAddress or `0` on error. Free the returned object with Glib::object_unref().
Member Gio::SocketConnection::get_socket () const
  Returns
    A SocketAddress or `0` on error.
Member Gio::SocketConnection::get_socket ()
  Returns
    A SocketAddress or `0` on error.
Member Gio::SocketControlMessage::deserialize (int level, int type, gsize size, gpointer data)
  Parameters

    level | A socket level.
    type | A socket control message type for the given level.
    size | The size of the data in bytes.
    data | Pointer to the message data.

  Returns
    The deserialized message or `0`.
Member Gio::SocketControlMessage::get_level () const
  Returns
    An integer describing the level.
Member Gio::SocketControlMessage::get_msg_type () const
  Returns
    An integer describing the type of control message.
Member Gio::SocketControlMessage::get_size () const
  Returns
    The number of bytes required.
Member Gio::SocketControlMessage::serialize (gpointer data)
  Parameters

    data | A buffer to write data to.

Member Gio::SocketListener::accept (Glib::RefPtr< Object >& source_object, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketListener::accept (Glib::RefPtr< Object >& source_object)
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketListener::accept ()
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketListener::accept (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketListener::accept_async (const SlotAsyncReady& slot)
  Parameters

    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketListener::accept_async (const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot)
  Parameters

    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketListener::accept_finish (const Glib::RefPtr< AsyncResult >& result, Glib::RefPtr< Glib::Object >& source_object)
  Parameters

    result | A AsyncResult.
    source_object | Optional Object identifying this source.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketListener::accept_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.
    source_object | Optional Object identifying this source.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketListener::accept_socket (Glib::RefPtr< Glib::Object >& source_object, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A Socket on success, `0` on error.
Member Gio::SocketListener::accept_socket (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A Socket on success, `0` on error.
Member Gio::SocketListener::accept_socket ()
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A Socket on success, `0` on error.
Member Gio::SocketListener::accept_socket (Glib::RefPtr< Glib::Object >& source_object)
  Parameters

    source_object | Location where Object pointer will be stored, or `0`.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A Socket on success, `0` on error.
Member Gio::SocketListener::accept_socket_async (const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot)
  Parameters

    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketListener::accept_socket_async (const SlotAsyncReady& slot)
  Parameters

    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketListener::accept_socket_finish (const Glib::RefPtr< AsyncResult >& result, Glib::RefPtr< Glib::Object >& source_object)
  Parameters

    result | A AsyncResult.
    source_object | Optional Object identifying this source.

  Returns
    A Socket on success, `0` on error.
Member Gio::SocketListener::accept_socket_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.
    source_object | Optional Object identifying this source.

  Returns
    A Socket on success, `0` on error.
Member Gio::SocketListener::add_address (const Glib::RefPtr< SocketAddress >& address, SocketType type, SocketProtocol protocol, const Glib::RefPtr< Glib::Object >& source_object, Glib::RefPtr< SocketAddress >& effective_address)
  Parameters

    address | A SocketAddress.
    type | A SocketType.
    protocol | A SocketProtocol.
    source_object | Optional Object identifying this source.
    effective_address | Location to store the address that was bound to, or `0`.

  Returns
    `true` on success, `false` on error.
Member Gio::SocketListener::add_address (const Glib::RefPtr< SocketAddress >& address, SocketType type, SocketProtocol protocol, Glib::RefPtr< SocketAddress >& effective_address)
  Parameters

    address | A SocketAddress.
    type | A SocketType.
    protocol | A SocketProtocol.
    source_object | Optional Object identifying this source.
    effective_address | Location to store the address that was bound to, or `0`.

  Returns
    `true` on success, `false` on error.
Member Gio::SocketListener::add_inet_port (guint16 port, const Glib::RefPtr< Glib::Object >& source_object)
  Parameters

    port | An IP port number (non-zero).
    source_object | Optional Object identifying this source.

  Returns
    `true` on success, `false` on error.
Member Gio::SocketListener::add_inet_port (guint16 port)
  Parameters

    port | An IP port number (non-zero).
    source_object | Optional Object identifying this source.

  Returns
    `true` on success, `false` on error.
Member Gio::SocketListener::add_socket (const Glib::RefPtr< Socket >& socket, const Glib::RefPtr< Glib::Object >& source_object)
  Parameters

    socket | A listening Socket.
    source_object | Optional Object identifying this source.

  Returns
    `true` on success, `false` on error.
Member Gio::SocketListener::add_socket (const Glib::RefPtr< Socket >& socket)
  Parameters

    socket | A listening Socket.
    source_object | Optional Object identifying this source.

  Returns
    `true` on success, `false` on error.
Member Gio::SocketListener::close ()
Member Gio::SocketListener::set_backlog (int listen_backlog)
  Parameters

    listen_backlog | An integer.

Member Gio::SocketService::is_active ()
  Returns
    `true` if the service is active, `false` otherwise.
Member Gio::SocketService::signal_incoming ()
  Parameters

    connection | A new SocketConnection object.
    source_object | The source_object passed to g_socket_listener_add_address().

  Returns
    `true` to stop other handlers from being called.
Member Gio::SocketService::start ()
Member Gio::SocketService::stop ()
Member Gio::SrvTarget::get_hostname () const
  Returns
    target's hostname.
Member Gio::SrvTarget::get_port () const
  Returns
    target's port.
Member Gio::SrvTarget::get_priority () const
  Returns
    target's priority.
Member Gio::SrvTarget::get_weight () const
  Returns
    target's weight.
Member Gio::TcpConnection::get_graceful_disconnect () const
  Returns
    `true` if graceful disconnect is used on close, `false` otherwise.
Member Gio::TcpConnection::set_graceful_disconnect (bool graceful_disconnect)
  Parameters

    graceful_disconnect | Whether to do graceful disconnects or not.

Member Gio::UnixConnection::receive_fd (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A file descriptor on success, -1 on error.
Member Gio::UnixConnection::send_fd (int fd, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    fd | A file descriptor.
    cancellable | Optional Cancellable object, `0` to ignore.

  Returns
    A `true` on success, `0` on error.
Member Gio::UnixFDMessage::append_fd (int fd)
  Parameters

    fd | A valid open file descriptor.

  Returns
    `true` in case of success, else `false` (and error is set).
Member Gio::UnixFDMessage::create ()
  Returns
    A new UnixFDMessage.
Member Gio::UnixSocketAddress::abstract_names_supported ()
  Returns
    `true` if supported, `false` otherwise.
Member Gio::UnixSocketAddress::create (const std::string& path)
  Parameters

    path | The socket path.

  Returns
    A new UnixSocketAddress.
Member Gio::UnixSocketAddress::get_path () const
  Returns
    The path for address.
Member Gio::Volume::eject_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    `true` if the volume was successfully ejected. `false` otherwise.
Member Gio::VolumeMonitor::signal_drive_stop_button ()
Member Glib::Date::get_iso8601_week_of_year () const
Member Glib::file_set_contents (const std::string& filename, const gchar* contents, gssize length)
Member Glib::file_set_contents (const std::string& filename, const std::string& contents)
Member Glib::TimeVal::as_iso8601 () const
Member Glib::TimeVal::assign_from_iso8601 (const Glib::ustring& iso_date)
Class Glib::ValueArray